SLockDetectMode (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.client

## Enum SLockDetectMode

- java.lang.Object
- - java.lang.Enum<SLockDetectMode>
  - - com.sleepycat.client.SLockDetectMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SLockDetectMode>

      public enum SLockDetectMode
      extends java.lang.Enum<SLockDetectMode>

  Deadlock detection mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXPIRE` Reject lock requests which have timed out.
    `MAX_LOCKS` Reject the lock request for the locker ID with the most locks.
    `MAX_WRITE` Reject the lock request for the locker ID with the most write locks.
    `MIN_LOCKS` Reject the lock request for the locker ID with the fewest locks.
    `MIN_WRITE` Reject the lock request for the locker ID with the fewest write locks.
    `OLDEST` Reject the lock request for the locker ID with the oldest lock.
    `RANDOM` Reject the lock request for a random locker ID.
    `YOUNGEST` Reject the lock request for the locker ID with the youngest lock.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SLockDetectMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SLockDetectMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXPIRE

          public static final SLockDetectMode EXPIRE

      Reject lock requests which have timed out.

    - #### MAX_LOCKS

          public static final SLockDetectMode MAX_LOCKS

      Reject the lock request for the locker ID with the most locks.

    - #### MAX_WRITE

          public static final SLockDetectMode MAX_WRITE

      Reject the lock request for the locker ID with the most write locks.

    - #### MIN_LOCKS

          public static final SLockDetectMode MIN_LOCKS

      Reject the lock request for the locker ID with the fewest locks.

    - #### MIN_WRITE

          public static final SLockDetectMode MIN_WRITE

      Reject the lock request for the locker ID with the fewest write locks.

    - #### OLDEST

          public static final SLockDetectMode OLDEST

      Reject the lock request for the locker ID with the oldest lock.

    - #### RANDOM

          public static final SLockDetectMode RANDOM

      Reject the lock request for a random locker ID.

    - #### YOUNGEST

          public static final SLockDetectMode YOUNGEST

      Reject the lock request for the locker ID with the youngest lock.

  - ### Method Detail

    - #### values

          public static SLockDetectMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SLockDetectMode c : SLockDetectMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SLockDetectMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.